"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");
_Object$defineProperty(exports, "__esModule", {
  value: true
});
exports.minWidthQuery = exports.mediaQuery = exports.maxWidthQuery = void 0;
const maxWidthQuery = breakPoint => `(max-width: ${breakPoint}px)`;
exports.maxWidthQuery = maxWidthQuery;
const minWidthQuery = breakPoint => `(min-width: ${breakPoint + 1}px)`;
exports.minWidthQuery = minWidthQuery;
const mediaQuery = breakPoint => `@media ${maxWidthQuery(breakPoint)}`;
exports.mediaQuery = mediaQuery;