"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");
var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault");
_Object$defineProperty(exports, "__esModule", {
  value: true
});
exports.SecondaryLoading = exports.DefaultLoading = exports.AngelsTertiaryLoading = exports.AngelsSecondaryLoading = exports.AngelsPrimaryLoading = void 0;
var _assign = _interopRequireDefault(require("@babel/runtime-corejs3/core-js-stable/object/assign"));
var _jsxRuntime = require("@emotion/react/jsx-runtime");
const DefaultLoading = () => (0, _jsxRuntime.jsxs)("svg", (0, _assign.default)({
  xmlns: "http://www.w3.org/2000/svg",
  style: {
    margin: 'auto',
    background: 'transparent',
    display: 'block'
  },
  width: "20px",
  height: "20px",
  viewBox: "0 0 100 100",
  preserveAspectRatio: "xMidYMid"
}, {
  children: [(0, _jsxRuntime.jsx)("circle", {
    cx: "50",
    cy: "50",
    r: "38",
    stroke: "#bcd8fe",
    strokeWidth: "7",
    fill: "none"
  }), (0, _jsxRuntime.jsxs)("circle", (0, _assign.default)({
    cx: "50",
    cy: "50",
    r: "38",
    stroke: "#fefefe",
    strokeWidth: "8",
    strokeLinecap: "square",
    fill: "none"
  }, {
    children: [(0, _jsxRuntime.jsx)("animateTransform", {
      attributeName: "transform",
      type: "rotate",
      repeatCount: "indefinite",
      dur: "2.6315789473684212s",
      values: "0 50 50;180 50 50;720 50 50",
      keyTimes: "0;0.5;1"
    }), (0, _jsxRuntime.jsx)("animate", {
      attributeName: "stroke-dasharray",
      repeatCount: "indefinite",
      dur: "2.6315789473684212s",
      values: "23.876104167282428 214.88493750554184;112.21768958622741 126.54335208659685;23.876104167282428 214.88493750554184",
      keyTimes: "0;0.5;1"
    })]
  }))]
}));
exports.DefaultLoading = DefaultLoading;
const SecondaryLoading = () => (0, _jsxRuntime.jsxs)("svg", (0, _assign.default)({
  xmlns: "http://www.w3.org/2000/svg",
  style: {
    margin: 'auto',
    background: 'transparent',
    display: 'block'
  },
  width: "20px",
  height: "20px",
  viewBox: "0 0 100 100",
  preserveAspectRatio: "xMidYMid"
}, {
  children: [(0, _jsxRuntime.jsx)("circle", {
    cx: "50",
    cy: "50",
    r: "38",
    stroke: "#bcd8fe",
    strokeWidth: "7",
    fill: "none"
  }), (0, _jsxRuntime.jsxs)("circle", (0, _assign.default)({
    cx: "50",
    cy: "50",
    r: "38",
    stroke: "#2581ff",
    strokeWidth: "8",
    strokeLinecap: "square",
    fill: "none"
  }, {
    children: [(0, _jsxRuntime.jsx)("animateTransform", {
      attributeName: "transform",
      type: "rotate",
      repeatCount: "indefinite",
      dur: "2.6315789473684212s",
      values: "0 50 50;180 50 50;720 50 50",
      keyTimes: "0;0.5;1"
    }), (0, _jsxRuntime.jsx)("animate", {
      attributeName: "stroke-dasharray",
      repeatCount: "indefinite",
      dur: "2.6315789473684212s",
      values: "23.876104167282428 214.88493750554184;112.21768958622741 126.54335208659685;23.876104167282428 214.88493750554184",
      keyTimes: "0;0.5;1"
    })]
  }))]
}));
exports.SecondaryLoading = SecondaryLoading;
const AngelsPrimaryLoading = () => (0, _jsxRuntime.jsxs)("svg", (0, _assign.default)({
  xmlns: "http://www.w3.org/2000/svg",
  style: {
    margin: 'auto',
    background: 'transparent',
    display: 'block'
  },
  width: "20px",
  height: "20px",
  viewBox: "0 0 100 100",
  preserveAspectRatio: "xMidYMid"
}, {
  children: [(0, _jsxRuntime.jsx)("circle", {
    cx: "50",
    cy: "50",
    r: "38",
    stroke: "#FEFEFE4D",
    strokeWidth: "7",
    fill: "none"
  }), (0, _jsxRuntime.jsxs)("circle", (0, _assign.default)({
    cx: "50",
    cy: "50",
    r: "38",
    stroke: "#FEFEFE",
    strokeWidth: "8",
    strokeLinecap: "square",
    fill: "none"
  }, {
    children: [(0, _jsxRuntime.jsx)("animateTransform", {
      attributeName: "transform",
      type: "rotate",
      repeatCount: "indefinite",
      dur: "2.6315789473684212s",
      values: "0 50 50;180 50 50;720 50 50",
      keyTimes: "0;0.5;1"
    }), (0, _jsxRuntime.jsx)("animate", {
      attributeName: "stroke-dasharray",
      repeatCount: "indefinite",
      dur: "2.6315789473684212s",
      values: "23.876104167282428 214.88493750554184;112.21768958622741 126.54335208659685;23.876104167282428 214.88493750554184",
      keyTimes: "0;0.5;1"
    })]
  }))]
}));
exports.AngelsPrimaryLoading = AngelsPrimaryLoading;
const AngelsSecondaryLoading = () => (0, _jsxRuntime.jsxs)("svg", (0, _assign.default)({
  xmlns: "http://www.w3.org/2000/svg",
  style: {
    margin: 'auto',
    background: 'transparent',
    display: 'block'
  },
  width: "20px",
  height: "20px",
  viewBox: "0 0 100 100",
  preserveAspectRatio: "xMidYMid"
}, {
  children: [(0, _jsxRuntime.jsx)("circle", {
    cx: "50",
    cy: "50",
    r: "38",
    stroke: "#4646464D",
    strokeWidth: "7",
    fill: "none"
  }), (0, _jsxRuntime.jsxs)("circle", (0, _assign.default)({
    cx: "50",
    cy: "50",
    r: "38",
    stroke: "#464646",
    strokeWidth: "8",
    strokeLinecap: "square",
    fill: "none"
  }, {
    children: [(0, _jsxRuntime.jsx)("animateTransform", {
      attributeName: "transform",
      type: "rotate",
      repeatCount: "indefinite",
      dur: "2.6315789473684212s",
      values: "0 50 50;180 50 50;720 50 50",
      keyTimes: "0;0.5;1"
    }), (0, _jsxRuntime.jsx)("animate", {
      attributeName: "stroke-dasharray",
      repeatCount: "indefinite",
      dur: "2.6315789473684212s",
      values: "23.876104167282428 214.88493750554184;112.21768958622741 126.54335208659685;23.876104167282428 214.88493750554184",
      keyTimes: "0;0.5;1"
    })]
  }))]
}));
exports.AngelsSecondaryLoading = AngelsSecondaryLoading;
const AngelsTertiaryLoading = () => (0, _jsxRuntime.jsxs)("svg", (0, _assign.default)({
  xmlns: "http://www.w3.org/2000/svg",
  style: {
    margin: 'auto',
    background: 'transparent',
    display: 'block'
  },
  width: "20px",
  height: "20px",
  viewBox: "0 0 100 100",
  preserveAspectRatio: "xMidYMid"
}, {
  children: [(0, _jsxRuntime.jsx)("circle", {
    cx: "50",
    cy: "50",
    r: "38",
    stroke: "#D6DAE0",
    strokeWidth: "7",
    fill: "none"
  }), (0, _jsxRuntime.jsxs)("circle", (0, _assign.default)({
    cx: "50",
    cy: "50",
    r: "38",
    stroke: "#6D7992",
    strokeWidth: "8",
    strokeLinecap: "square",
    fill: "none"
  }, {
    children: [(0, _jsxRuntime.jsx)("animateTransform", {
      attributeName: "transform",
      type: "rotate",
      repeatCount: "indefinite",
      dur: "2.6315789473684212s",
      values: "0 50 50;180 50 50;720 50 50",
      keyTimes: "0;0.5;1"
    }), (0, _jsxRuntime.jsx)("animate", {
      attributeName: "stroke-dasharray",
      repeatCount: "indefinite",
      dur: "2.6315789473684212s",
      values: "23.876104167282428 214.88493750554184;112.21768958622741 126.54335208659685;23.876104167282428 214.88493750554184",
      keyTimes: "0;0.5;1"
    })]
  }))]
}));
exports.AngelsTertiaryLoading = AngelsTertiaryLoading;