import _Object$assign from "@babel/runtime-corejs3/core-js-stable/object/assign";
import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import { CheckIcon } from '../MultiSelect.icons';
import * as Styled from '../MultiSelect.styled';
const DefaultItemRenderer = _ref => {
  let {
    checked,
    option,
    onClick,
    disabled,
    isCheckboxShowing = true
  } = _ref;
  return _jsxs(Styled.DefaultItemRendererWrapper, _Object$assign({
    "$disabled": disabled
  }, {
    children: [isCheckboxShowing && _jsx(CheckIcon, {
      selected: checked
    }), _jsx("input", {
      type: "checkbox",
      onChange: onClick,
      checked: checked,
      tabIndex: -1,
      disabled: disabled
    }), _jsx("span", {
      children: option.label
    })]
  }));
};
export default DefaultItemRenderer;