import { FontWeightTypes } from './FontWeight.types';
export declare const bold: import("@emotion/utils").SerializedStyles;
export declare const medium: import("@emotion/utils").SerializedStyles;
export declare const regular: import("@emotion/utils").SerializedStyles;
/**
 * @desc font-weight가 정의된 객체입니다.
 * @description { extrabold } font-weight: 800;
 * @description { bold } font-weight: 700;
 * @description { semibold } font-weight: 600;
 * @description { medium } font-weight: 500;
 * @description { regular } font-weight: 400;
 */
export declare const FontWeight: FontWeightTypes;
