import _indexOfInstanceProperty from "@babel/runtime-corejs3/core-js-stable/instance/index-of";
import _Object$getOwnPropertySymbols from "@babel/runtime-corejs3/core-js-stable/object/get-own-property-symbols";
import _Object$assign from "@babel/runtime-corejs3/core-js-stable/object/assign";
var __rest = this && this.__rest || function (s, e) {
  var t = {};
  for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && _indexOfInstanceProperty(e).call(e, p) < 0) t[p] = s[p];
  if (s != null && typeof _Object$getOwnPropertySymbols === "function") for (var i = 0, p = _Object$getOwnPropertySymbols(s); i < p.length; i++) {
    if (_indexOfInstanceProperty(e).call(e, p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};
import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import React from 'react';
import * as Styled from './Button.styled';
import { Loading } from '../Loading';
import { IconBox } from '../IconBox';
const Button = /*#__PURE__*/React.forwardRef((_a, ref) => {
  var {
      text = '',
      variant = 'primary',
      size = 'medium',
      icon,
      isIconOnly = false,
      isIconAfter = false,
      isBlock = false,
      onClick,
      disabled = false,
      loading = false,
      style,
      children
    } = _a,
    rest = __rest(_a, ["text", "variant", "size", "icon", "isIconOnly", "isIconAfter", "isBlock", "onClick", "disabled", "loading", "style", "children"]);
  return _jsx(Styled.DSButtonWrapper, _Object$assign({}, rest, {
    ref: ref,
    onClick: onClick,
    style: style,
    "$variant": variant,
    "$size": size,
    "$isBlock": isBlock,
    disabled: disabled,
    "$disabled": disabled
  }, {
    children: loading ? _jsx(Loading, {
      kind: variant
    }) : _jsx(IconBox, {
      text: text || children,
      isIconOnly: isIconOnly,
      isIconAfter: isIconAfter,
      icon: icon,
      size: size,
      gap: 4
    })
  }));
});
export default /*#__PURE__*/React.memo(Button);