import React from 'react';
const defaultGetPrefixCls = (suffixCls, customizePrefixCls) => {
  if (customizePrefixCls) return customizePrefixCls;
  return suffixCls ? `${suffixCls}` : '';
};
export const ConfigContext = /*#__PURE__*/React.createContext({
  // We provide a default function for Context without provider
  getPrefixCls: defaultGetPrefixCls
});
export const GroupContext = /*#__PURE__*/React.createContext(null);
export const FormItemInputContext = /*#__PURE__*/React.createContext({});