import _indexOfInstanceProperty from "@babel/runtime-corejs3/core-js-stable/instance/index-of";
import _Object$getOwnPropertySymbols from "@babel/runtime-corejs3/core-js-stable/object/get-own-property-symbols";
import _Object$assign from "@babel/runtime-corejs3/core-js-stable/object/assign";
var __rest = this && this.__rest || function (s, e) {
  var t = {};
  for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && _indexOfInstanceProperty(e).call(e, p) < 0) t[p] = s[p];
  if (s != null && typeof _Object$getOwnPropertySymbols === "function") for (var i = 0, p = _Object$getOwnPropertySymbols(s); i < p.length; i++) {
    if (_indexOfInstanceProperty(e).call(e, p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};
import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "@emotion/react/jsx-runtime";
import * as Styled from './IconBox.styled';
const TextAfterIcon = _ref => {
  let {
    text,
    size,
    icon: Icon,
    gap,
    style
  } = _ref;
  const IconElement = Icon;
  return _jsxs(Styled.DSIconBoxWrapper, _Object$assign({
    style: style,
    "$size": size,
    "$gap": gap
  }, {
    children: [_jsx("div", {
      children: text
    }), typeof Icon === 'object' ? Icon : _jsx(IconElement, {})]
  }));
};
const TextBeforeIcon = _ref2 => {
  let {
    text,
    size,
    icon: Icon,
    gap,
    style
  } = _ref2;
  const IconElement = Icon;
  return _jsxs(Styled.DSIconBoxWrapper, _Object$assign({
    style: style,
    "$size": size,
    "$gap": gap
  }, {
    children: [typeof Icon === 'object' ? Icon : _jsx(IconElement, {}), _jsx("div", {
      children: text
    })]
  }));
};
const OnlyIcon = _ref3 => {
  let {
    size,
    icon: Icon,
    isIconOnly,
    style
  } = _ref3;
  const IconElement = Icon;
  return _jsx(Styled.DSIconBoxWrapper, _Object$assign({
    style: style,
    "$size": size,
    "$isIconOnly": isIconOnly
  }, {
    children: typeof Icon === 'object' ? Icon : _jsx(IconElement, {})
  }));
};
const IconBox = _a => {
  var {
      text,
      size = 'medium',
      isIconOnly,
      isIconAfter,
      icon,
      gap,
      style
    } = _a,
    rest = __rest(_a, ["text", "size", "isIconOnly", "isIconAfter", "icon", "gap", "style"]);
  if (!icon) return _jsx(_Fragment, {
    children: text
  });
  if (isIconOnly) return _jsx(OnlyIcon, _Object$assign({
    size: size,
    icon: icon,
    isIconOnly: isIconOnly,
    style: style
  }, rest));
  if (isIconAfter) return _jsx(TextAfterIcon, _Object$assign({
    size: size,
    text: text,
    icon: icon,
    gap: gap,
    style: style
  }, rest));
  return _jsx(TextBeforeIcon, _Object$assign({
    size: size,
    text: text,
    icon: icon,
    gap: gap,
    style: style
  }, rest));
};
export default IconBox;