import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { AngelsPrimaryLoading, AngelsSecondaryLoading, AngelsTertiaryLoading, DefaultLoading, SecondaryLoading } from './Loading.icons';
//
import * as Styled from './Loading.styled';
const LoadingTheme = {
  primary: _jsx(DefaultLoading, {}),
  secondary: _jsx(SecondaryLoading, {}),
  tertiary: _jsx(DefaultLoading, {}),
  'angels-primary': _jsx(AngelsPrimaryLoading, {}),
  'angels-secondary': _jsx(AngelsSecondaryLoading, {}),
  'angels-tertiary': _jsx(AngelsTertiaryLoading, {})
};
const Loading = _ref => {
  let {
    kind = 'primary'
  } = _ref;
  return _jsx(Styled.DSLoadingWrapper, {
    children: LoadingTheme[kind]
  });
};
export default Loading;