import _Object$assign from "@babel/runtime-corejs3/core-js-stable/object/assign";
import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "@emotion/react/jsx-runtime";
import { SVG } from './MultiSelect.styled';
export const LoadingIcon = _ref => {
  let {
    size = 24
  } = _ref;
  return _jsx("span", _Object$assign({
    style: {
      width: size,
      marginRight: '0.2rem'
    }
  }, {
    children: _jsx(SVG, _Object$assign({
      width: size,
      height: size,
      viewBox: "0 0 50 50",
      style: {
        display: 'inline',
        verticalAlign: 'middle'
      }
    }, {
      children: _jsx("circle", {
        cx: "25",
        cy: "25",
        r: "20",
        fill: "none"
      })
    }))
  }));
};
export const ArrowIcon = () => _jsx("svg", _Object$assign({
  width: "16",
  height: "16",
  viewBox: "0 0 16 16",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
}, {
  children: _jsx("path", {
    d: "M13 11L3 11L8 4L13 11Z",
    fill: "#202020"
  })
}));
export const CrossIcon = () => _jsxs("svg", _Object$assign({
  width: "24",
  height: "24",
  fill: "none",
  stroke: "currentColor",
  strokeWidth: "2"
}, {
  children: [_jsx("line", {
    x1: "18",
    y1: "6",
    x2: "6",
    y2: "18"
  }), _jsx("line", {
    x1: "6",
    y1: "6",
    x2: "18",
    y2: "18"
  })]
}));
export const CheckIcon = _ref2 => {
  let {
    selected = false
  } = _ref2;
  return _jsx("svg", _Object$assign({
    width: "20",
    height: "20",
    viewBox: "0 0 20 20",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, {
    children: selected ? _jsxs(_Fragment, {
      children: [_jsx("rect", {
        x: "2",
        y: "2",
        width: "16",
        height: "16",
        rx: "2",
        fill: "#202020"
      }), _jsx("path", {
        d: "M5 8.91041L9.05329 13L15 7.00002",
        stroke: "#FDFDFD",
        strokeWidth: "1.2"
      })]
    }) : _jsx("rect", {
      x: "2",
      y: "2",
      width: "16",
      height: "16",
      rx: "2",
      stroke: "#CDCDCD"
    })
  }));
};